<?php

/**
 * Subclass for performing query and update operations on the 'katao_member_group' table.
 *
 *
 *
 * @package lib.model
 */
class KataoMemberGroupPeer extends BaseKataoMemberGroupPeer
{
	public static function getAllGroups(){
        $criteria = new Criteria();

        $criteria->add(self::KATAO_MEMBER_GROUP_NAME);
        $groups_list = self::doSelect(new Criteria);

 		foreach($groups_list as $list){
 			$array[] = $list->getKataoMemberGroupName();
 		}

        return $array;
	}

	public static function getAllGroupsObject(){
		return self::doSelect(new Criteria);
	}

	public function __toString(){
	}
}
